Bug 1081335 - Rename openssl-1_1_0 package to reflect SO number of the 1.1.x branch
Rename openssl-1_1_0 package to reflect SO number of the 1.1.x branch
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Vítězslav Čížek
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-16 12:08 UTC by Vítězslav Čížek
Modified: 2018-08-15 20:44 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vítězslav Čížek 2018-02-16 12:08:03 UTC
Minor versions of OpenSSL 1.1.x branch will have the same .so number and are guaranteed to keep ABI stability.

The package name should should reflect that and contain just 1.1.
Comment 1 Swamp Workflow Management 2018-02-16 13:40:09 UTC
This is an autogenerated message for OBS integration:
This bug (1081335) was mentioned in
https://build.opensuse.org/request/show/577244 Factory / openssl
https://build.opensuse.org/request/show/577248 Factory / openssl-1_1
Comment 2 Swamp Workflow Management 2018-02-20 13:40:11 UTC
This is an autogenerated message for OBS integration:
This bug (1081335) was mentioned in
https://build.opensuse.org/request/show/578327 Factory / openssl-1_1
Comment 3 Vítězslav Čížek 2018-03-01 13:25:46 UTC
Accepted to Factory.
https://build.opensuse.org/request/show/580922.